package com.nzwz.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * 表关系配置表
 *
 * @author Inori
 */
@TableName("tb_table_relation")
public class TableRelation {

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;


    /**
     * 表名称
     */
    private String tableName;


    /**
     * 表头
     */
    private String tableHeader;


    /**
     * 表头日期
     */
    private String tableDate;


    /**
     * 表体的表头
     */
    private String subTableHeader;


    /**
     * 主键
     */
    private String primaryKey;


    /**
     * 外键
     */
    private String foreignKey;


    /**
     * 排序
     */
    private Integer sortOrder;


    /**
     * 创建时间
     */
    private String createTime;


    /**
     * 更新时间
     */
    private String updateTime;


    public TableRelation() {
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getTableHeader() {
        return tableHeader;
    }

    public void setTableHeader(String tableHeader) {
        this.tableHeader = tableHeader;
    }

    public String getTableDate() {
        return tableDate;
    }

    public void setTableDate(String tableDate) {
        this.tableDate = tableDate;
    }

    public String getSubTableHeader() {
        return subTableHeader;
    }

    public void setSubTableHeader(String subTableHeader) {
        this.subTableHeader = subTableHeader;
    }

    public String getPrimaryKey() {
        return primaryKey;
    }

    public void setPrimaryKey(String primaryKey) {
        this.primaryKey = primaryKey;
    }

    public String getForeignKey() {
        return foreignKey;
    }

    public void setForeignKey(String foreignKey) {
        this.foreignKey = foreignKey;
    }

    public Integer getSortOrder() {
        return sortOrder;
    }

    public void setSortOrder(Integer sortOrder) {
        this.sortOrder = sortOrder;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }


}
